<?php
/*
 * Accounts Configuration File
 *
 * This file contains global configuration settings for Accounts. Values
 * may be safely edited by hand. Use conf.php.dist as a reference.
 *
 * Strings should be enclosed in 'quotes'.
 * Integers should be given literally (without quotes).
 * Boolean values may be 'true' or 'false'.
 *
 * $Horde: accounts/config/conf.php.dist,v 1.1.1.1.2.3 2003/02/20 22:42:46 ericr Exp $ 
 */

/**
 * Specify the Driver to use.  Current valid values are:
 *
 * localhost    local account on the web server (also nis/nis+, etc)
 * ldap         ldap support (currently proof of concept only)
 * null         none of the above.  Returns false for everything.
 */

$conf['server']['driver'] = 'localhost';

// For each driver, we may need to pass some parameters.

$conf['server']['params'] = array();

// For localhost driver, if you have command line quota support, you
// can configure it here.  This requires a modified quota command. See
// the lib/Driver/localhost.php file for more info.

$conf['server']['params'] = array(
  'quota_path' => '/usr/bin/quota',
  'grep_path'  => '/bin/grep'
);

// For ldap driver, you need to define some ldap stuff...
//
//$conf['server']['params'] = array(
//    'host' => 'localhost',
//    'port' => 389,
//    'attr' => 'uid',
//    'basedn' => 'o=example.com,c=US'
//);

// Define apps to put in the menu bar. This should include any of our internal
// apps (passwd, vacation, and forwards) as well as any desired external apps
// (imp, calendar, etc).

$conf['menu']['apps'] = array();
$conf['menu']['apps'] = array('passwd', 'vacation', 'forwards');
